SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Browser)  >   Google Chrome Vendors:   Google
Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1026487
SecurityTracker URL:  http://securitytracker.com/id/1026487
CVE Reference:   CVE-2011-3919, CVE-2011-3921, CVE-2011-3922, CVE-2011-3925   (Links to External Site)
Updated:  Jan 24 2012
Original Entry Date:  Jan 6 2012
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 16.0.912.75
Description:   Several vulnerabilities were reported in Google Chrome. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create specially crafted content that, when loaded by the target user, will execute arbitrary code on the target system. The code will run with the privileges of the target user.

Specially crafted animation frames can trigger a use-after-free memory error [CVE-2011-3921]. Boris Zbarsky of Mozilla reported this vulnerability.

A remote user can trigger a heap overflow in libxml [CVE-2011-3919]. Juri Aedla reported this vulnerability.

A remote user can trigger a stack overflow in glyph handling [CVE-2011-3922]. The Google Chrome Security Team (Cris Neckar) reported this vulnerability.

A remote user can trigger a use-after-free in Safe Browsing navigation [CVE-2011-3925]. Chamal de Silva reported this vulnerability.


Impact:   A remote user can create HTML that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued a fix (16.0.912.75).

The vendor's advisory is available at:

http://googlechromereleases.blogspot.com/2012/01/stable-channel-update.html

Vendor URL:  googlechromereleases.blogspot.com/2012/01/stable-channel-update.html (Links to External Site)
Cause:   Access control error, Boundary error
Underlying OS:  Linux (Any), UNIX (macOS/OS X), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jan 11 2012 (Red Hat Issues Fix for libxml2) Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
Red Hat has issued a fix for libxml2 for Red Hat Enterprise Linux 5.
Feb 8 2012 (Red Hat Issues Fix for libxml2) Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
Red Hat has issued a fix for Red Hat Enterprise Linux 5.6 Extended Update Support.
Apr 27 2012 (VMware Issues Fix for ESX) Google Chrome Multiple Flaws Let Remote Users Execute Arbitrary Code
VMware has issued a fix for ESX Server.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC